/**
 * @file Lance le serveur configuré dans {@link server.js} en y ajoutant le routeur d'URL.
 * @author manifold
 */
import server from './server';
import colors from 'colors';
import router from './routing/admin_router';
import passport from 'passport';

// setting up l'interface admin des BDD
server.use('/adminview',router); // catches and resolves HTTP requests to paths '/adminview/*'

// gere les requetes de login du front
server.post('/login',
    passport.authenticate('ldapauth', {
        successRedirect: '/admin',
        failureRedirect: '/login',
        failureFlash: true
    })
);

let port = process.env.PORT || 3000;

server.listen(port, () => {
    console.log(colors.blue(`Express server listening on port ${port}`));
});
